Name:		ltl2ba
Version:	1.1
Release:	%mkrel 1
Summary:	Fast translation from LTL formulas to Buchi automata

Group:		Sciences/Computer science
License:	GPLv2+
URL:		http://www.lsv.ens-cachan.fr/~gastin/ltl2ba/
Source0:	http://www.lsv.ens-cachan.fr/~gastin/ltl2ba/%{name}-%{version}.tar.gz
Patch0:		ltl2ba-1.1-mageia-format-security.patch

%description
Translate from Linear temporal logic (LTL) formulas to Buchi automata.
LTL is a type of formal logic that extends formal logic with
qualifiers involving time.
A Buchi automaton is the extension of a finite state automaton
to infinite inputs, and are useful for specifying behavior
of non-terminating systems (such as hardware or operating systems).
A Buchi automaton accepts an infinite input sequence if and only if
there exists a run of the automaton which visits at least one of the
final states infinitely often.

The implementation is based on the translation algorithm by Gastin and Oddoux,
presented at the CAV Conference, held in 2001, Paris, France 2001.


%prep
%setup -q
%patch0 -p0

%build
%make
iconv -f latin1 -t utf8 README > README.utf8
mv README.utf8 README

%check
# Trivial test, primarily to make sure it compiled into something executable:
./ltl2ba -f "true"

%install
mkdir -p %{buildroot}%{_bindir}
cp -p ltl2ba %{buildroot}%{_bindir}


%files
%{_bindir}/ltl2ba
%doc README LICENSE




%changelog
* Sun Nov 17 2013 malo <malo> 1.1-1.mga4
+ Revision: 551678
- spec clean-up after import from Fedora
- add patch to fix format-security error
- imported package ltl2ba

